/*----------------------------------------------------------------- */
/* FRONT-END
/*----------------------------------------------------------------- */

/* GENERAL
----------------------------------------- */

.brxe-nav-menu a
{
	transition: color var(--wm-transition-duration__default);
}

.brxe-nav-menu .active-item > a
{
	cursor: default;
	pointer-events: none;
}

h1,
h2,
h3,
h4,
h5,
h6
{
	margin-bottom: 0.67em;
}

p.is-style-text-highlight,
:where(p),
.wp-block-image,
.wp-block-video,
figure[class^=wp-block-]
{
	margin-block: 0 30px;
}

.wp-block-image img
{
	width: 100%;

	object-fit: contain;
}

figcaption
{
	font-size: 1.6rem;
	font-style: italic;

	margin: 0;
	padding-top: 8px;

	text-align: center;

	color: var(--bricks-color-mxgrxj);
}

.wp-block-image :where(figcaption)
{
	margin: 0 !important;
}

a.brxe-text-link:hover
{
	transition: 0.3s;

	color: var(--bricks-color-otbsph);
}

/* HEADER
----------------------------------------- */

/* fix for bricks mobile menu */
#brx-header .brxe-nav-menu .bricks-mobile-menu
{
	padding: 45px 0;
}

/* active menu item on CPT singles */
.brxe-nav-menu ul > .active-item_archive-ancestor > a
{
	/* something here */
}

@media (max-width: 991px)
{
	/* own sticky solution */
	#brx-header
	{
		position: sticky;
		z-index: 999;
		top: 0;
	}

	.hide-mobile {
        display: none;
    }
}

/* CONTENT
----------------------------------------- */

/* --- GENERAL --- */
#brx-content p,
#brx-content span
{
	line-height: var(--wm-line-height__default);
}

p.is-style-text-highlight,
p.is-style-zvýrazneny,
#brx-content .brxe-post-content p.is-style-text-highlight
#brx-content .brxe-post-content p.is-style-zvýrazneny
{
	line-height: 2.8rem;

	padding: 20px;

	background-color: rgba(233, 233, 233, 1);
}

.brxe-post-content[data-source='editor'] a:not(.wp-element-button),
.brxe-text a
{
	transition: text-decoration var(--wm-transition-duration__default);
	text-decoration: underline;
}

.brxe-post-content[data-source='editor'] a:not(.wp-element-button):hover,
.brxe-text a:hover
{
	text-decoration: none;
	text-decoration: underline transparent solid;
}

.wp-block-columns
{
	gap: 40px;
}

.wp-block-image,
.wp-block-video,
figcaption,
figure
{
	margin-top: 0;
}

/* --- BUTTONS --- */
.wp-element-button
{
	margin-top: 20px;
}

a.wp-element-button
{
	font-size: var(--wm-font-size__default);
	font-weight: 400;
	line-height: normal;

	padding: 12px 24px;

	transition: background-color var(--wm-transition-duration__default);
	text-align: center;
	text-decoration: none;

	color: var(--wm-color__white);
	border: none;
	border-radius: 0;
	background-color: var(--wm-color__blue);
}

a.wp-element-button:hover
{
	background-color: var(--wm-color__blue-dark);
}

/* --- LISTS --- */
.brxe-post-content ul,
.brxe-text ul
{
	padding-left: 22px;
}

.brxe-post-content ol,
.brxe-text ol
{
	padding-left: 26px;

	counter-reset: list-counter;
}

.brxe-post-content ol ol,
.brxe-text ol ol
{
	padding-left: 40px;

	counter-reset: list-counter;
}

.brxe-post-content ul li,
.brxe-post-content ol li,
.brxe-text ul li,
.brxe-text ol li
{
	margin-bottom: 5px;
}

.brxe-post-content ul li::marker,
.brxe-text ul li::marker
{
	content: '●  ';

	color: var(--bricks-color-otbsph);
}

.brxe-post-content ul ul > li::marker,
.brxe-text ul ul > li::marker
{
	content: '⚬  ';
}

.brxe-post-content ol > li,
.brxe-text ol > li
{
	counter-increment: list-counter;
}

.brxe-post-content ol > li::marker,
.brxe-text ol > li::marker
{
	font-weight: 700;

	content: counters(list-counter, '.') '.  ';

	color: var(--wm-color__black);
}

.brxe-post-content ul ul,
.brxe-post-content ul ol,
.brxe-post-content ol ol,
.brxe-post-content ol ul,
.brxe-text ul ul,
.brxe-text ul ol,
.brxe-text ol ol,
.brxe-text ol ul
{
	margin-top: 5px;
	margin-bottom: 0;
}

/* --- TABLES --- */
.wm-table
{
	overflow-y: auto;

	width: 100%;
}

.wm-table::-webkit-scrollbar
{
	width: 12px;
	height: 12px;

	-webkit-appearance: none;
}

.wm-table::-webkit-scrollbar-thumb
{
	border: 3px solid var(--wm-color__white);
	border-radius: 8px;
	background-color: rgba(0, 0, 0, 0.1);
}

.wm-table table
{
	width: 100%;
	min-width: 560px;

	table-layout: fixed;
}

.wm-table table td,
.wm-table table th
{
	padding: 10px 20px;
}

.wm-table table thead th,
.wm-table table thead td
{
	text-align: left;

	color: var(--wm-color__white);
	background-color: var(--wm-color__blue);
}

.wm-table table tbody td
{
	background-color: rgba(0, 0, 0, 0.1);
}

/* --- FORMS --- */
.brxe-shortcode .fluentform .ff-el-group
{
	margin-bottom: 15px;
}

.brxe-shortcode .frm-fluent-form .ff-t-container
{
	gap: 15px;
}

.brxe-shortcode .fluentform .ff-el-form-control
{
	font-size: 1.6rem;
	line-height: 50px;

	height: 50px;
	padding-right: 15px;
	padding-left: 15px;

	border-color: transparent transparent var(--wm-color__blue-dark) transparent;
	border-radius: 0;
}

.brxe-shortcode .fluentform .ff-el-form-control:focus
{
	border-color: #f0f1f2 #f0f1f2 var(--wm-color__blue) #f0f1f2;
}

.brxe-shortcode .fluentform textarea.ff-el-form-control
{
	height: 150px;
	padding-top: 12px;
	padding-bottom: 12px;
}

.brxe-shortcode .fluentform .ff-custom_html p
{
	font-size: 1.3rem;
	line-height: 2.5rem;

	color: var(--wm-color__black);
}

.brxe-shortcode .fluentform .ff-custom_html p a
{
	color: var(--wm-color__blue);
}

.brxe-shortcode .fluentform .ff-btn
{
	font-family: 'Titillium Web', sans-serif;

	margin-top: 15px;
	padding: 16px 25px;

	transition: background 0.5s, border-color 0.5s, color 0.5s;
	text-transform: uppercase;

	color: #fff;
	border: 1px solid var(--wm-color__blue-dark);
	border-radius: 0;
	background: var(--wm-color__blue-dark);
}

.brxe-shortcode .fluentform .ff-btn:hover
{
	border-color: var(--wm-color__blue);
	background: var(--wm-color__blue);
}

.brxe-shortcode .fluentform .ff-message-success
{
	margin: 30px 0;

	text-align: center;

	color: #fff;
	border: none;
	background: #4caf50;
	box-shadow: none;
}

@media (max-width: 760px)
{
	.brxe-shortcode .fluentform .ff-el-form-control
	{
		line-height: 40px;

		height: 40px;
		padding-right: 15px;
		padding-left: 15px;
	}

	.brxe-shortcode .fluentform textarea.ff-el-form-control
	{
		height: 120px;
		padding-top: 10px;
		padding-bottom: 10px;
	}
}

/* FOOTER
----------------------------------------- */
#brx-footer address
{
	font-style: normal;
}
